package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiEqmMalfunctionDto;
import com.huatek.busi.vo.BusiEqmMalfunctionVo;

@Repository
public interface BusiEqmMalfunctionMapper {
    
    Page<BusiEqmMalfunctionVo> selectBusiEqmMalfunctionPage(BusiEqmMalfunctionDto busiEqmMalfunctionDto);
    
    String lockDealStatus(@Param("id") String id);
    
    
    BusiEqmMalfunctionVo queryUnprocessedEqmMalfunction(@Param("warningId") String warningId);
    
    BusiEqmMalfunctionVo findMalfunctionById(@Param("id") String id);
   
}